Permalink
Browse files

No need to require psych since require yaml does that.

  • Loading branch information...
1 parent bdc49dc commit 7d26fad384a99aea27e478474f5b8d24ae33b704 Rafael Mendon��a Fran��a committed Jan 4, 2012
View
1 activerecord/lib/active_record/base.rb
@@ -1,4 +1,3 @@
-require 'psych'
require 'yaml'
require 'set'
require 'active_support/benchmarkable'
View
1 activerecord/lib/active_record/fixtures.rb
@@ -1,5 +1,4 @@
require 'erb'
-require 'psych'
require 'yaml'
require 'zlib'
require 'active_support/dependencies'
View
1 activerecord/lib/active_record/fixtures/file.rb
@@ -1,4 +1,3 @@
-require 'psych'
require 'erb'
require 'yaml'
View
1 activerecord/test/cases/yaml_serialization_test.rb
@@ -1,4 +1,3 @@
-require 'psych'
require 'cases/helper'
require 'models/topic'
View
1 activesupport/test/ordered_hash_test.rb
@@ -1,4 +1,3 @@
-require 'psych'
require 'abstract_unit'
require 'active_support/json'
require 'active_support/core_ext/object/to_json'
View
1 activesupport/test/safe_buffer_test.rb
@@ -1,5 +1,4 @@
require 'abstract_unit'
-require 'psych'
require 'active_support/core_ext/string/inflections'
require 'yaml'
View
1 railties/lib/rails/commands/dbconsole.rb
@@ -1,5 +1,4 @@
require 'erb'
-require 'psych'
require 'yaml'
require 'optparse'
require 'rbconfig'

0 comments on commit 7d26fad

Please sign in to comment.